Subject: bug#21340: 24.5; trash-directory uses FreeDesktop location on OSX

From: Harvey Chapman <[email-masked]>
Date: Mon, 24 Aug 2015 12:55:19 -0400

I set "(setq delete-by-moving-to-trash t)", and emacs moved
deleted files to ~/.local/share/Trash, the FreeDesktop location.
The files should have been moved to ~/.Trash, the standard OSX
location. I was deleting files in my home directory using dired.

Work around: (setq trash-directory "~/.Trash")

I get emacs from http://emacsformacosx.com/

In GNU Emacs 24.5.1 (x86_64-apple-darwin13.4.0, NS apple-appkit-1265.21)
of 2015-04-10 on builder10-9.porkrind.org
Windowing system distributor `Apple', version 10.3.1348
Configured using:
`configure --with-ns '--enable-locallisppath=/Library/Application
Support/Emacs/${version}/site-lisp:/Library/Application
Support/Emacs/site-lisp''

Important settings:
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  subword-mode: t
  show-paren-mode: t
  savehist-mode: t
  which-function-mode: t
  desktop-save-mode: t
  override-global-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Loading sh-script...done
Setting up indent for shell type sh
Indentation variables are now local.
Indentation setup for shell type sh
Loading ruby-mode...done
Wrote /Users/hchapman/.emacs.d/desktop/.emacs.desktop.lock
Desktop: 18 buffers restored.
For information about GNU Emacs and the GNU system, type C-h C-a.
Trashing...done
Making completion list...

Load-path shadows:
~/.emacs.d/lisp/go-mode.el/go-mode hides ~/.emacs.d/lisp/go-mode
~/.emacs.d/lisp/expand-region hides /Users/hchapman/.emacs.d/elpa/expand-region-20150525.205/expand-region
~/.emacs.d/lisp/helm/helm hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm
~/.emacs.d/lisp/helm/helm-utils hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-utils
~/.emacs.d/lisp/helm/helm-tags hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-tags
~/.emacs.d/lisp/helm/helm-sys hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-sys
~/.emacs.d/lisp/helm/helm-source hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-source
~/.emacs.d/lisp/helm/helm-semantic hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-semantic
~/.emacs.d/lisp/helm/helm-ring hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-ring
~/.emacs.d/lisp/helm/helm-regexp hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-regexp
~/.emacs.d/lisp/helm/helm-plugin hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-plugin
~/.emacs.d/lisp/helm/helm-pkg hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-pkg
~/.emacs.d/lisp/helm/helm-org hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-org
~/.emacs.d/lisp/helm/helm-net hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-net
~/.emacs.d/lisp/helm/helm-mode hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-mode
~/.emacs.d/lisp/helm/helm-misc hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-misc
~/.emacs.d/lisp/helm/helm-match-plugin hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-match-plugin
~/.emacs.d/lisp/helm/helm-man hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-man
~/.emacs.d/lisp/helm/helm-locate hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-locate
~/.emacs.d/lisp/helm/helm-info hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-info
~/.emacs.d/lisp/helm/helm-imenu hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-imenu
~/.emacs.d/lisp/helm/helm-help hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-help
~/.emacs.d/lisp/helm/helm-grep hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-grep
~/.emacs.d/lisp/helm/helm-font hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-font
~/.emacs.d/lisp/helm/helm-files hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-files
~/.emacs.d/lisp/helm/helm-external hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-external
~/.emacs.d/lisp/helm/helm-eval hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-eval
~/.emacs.d/lisp/helm/helm-eshell hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-eshell
~/.emacs.d/lisp/helm/helm-elscreen hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-elscreen
~/.emacs.d/lisp/helm/helm-elisp hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-elisp
~/.emacs.d/lisp/helm/helm-elisp-package hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-elisp-package
~/.emacs.d/lisp/helm/helm-dabbrev hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-dabbrev
~/.emacs.d/lisp/helm/helm-config hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-config
~/.emacs.d/lisp/helm/helm-command hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-command
~/.emacs.d/lisp/helm/helm-color hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-color
~/.emacs.d/lisp/helm/helm-buffers hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-buffers
~/.emacs.d/lisp/helm/helm-bookmark hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-bookmark
~/.emacs.d/lisp/helm/helm-autoloads hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-autoloads
~/.emacs.d/lisp/helm/helm-apt hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-apt
~/.emacs.d/lisp/helm/helm-aliases hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-aliases
~/.emacs.d/lisp/helm/helm-adaptive hides /Users/hchapman/.emacs.d/elpa/helm-20150622.857/helm-adaptive
~/.emacs.d/lisp/desktop hides /Users/hchapman/Applications/Emacs.app/Contents/Resources/lisp/desktop

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mail-utils help-mode ruby-mode
sh-script smie executable conf-mode vc-git cc-langs cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
dired vc-hg superword subword advice markdown-mode noutline outline
go-mode derived find-file ffap thingatpt etags metar url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util url-parse auth-source eieio byte-opt eieio-core gnus-util
mm-util mail-prsvr password-cache url-vars mailcap solar cal-dst
cal-menu calendar cal-loaddefs rx format-spec calc-units calc-ext calc
calc-loaddefs calc-macs paren savehist cus-start cus-load which-func
imenu xcscope ring easymenu desktop comint-scroll-to-bottom undo-tree
help-fns diff edmacro kmacro server use-package cl-macs cl gv diminish
bytecomp byte-compile cl-extra cconv bind-key easy-mmode cl-loaddefs
cl-lib package epg-config time-date tooltip electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel ns-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process cocoa ns
multi-tty emacs)

Memory information:
((conses 16 271724 10178)
(symbols 48 33317 0)
(miscs 40 440 257)
(strings 32 58404 7719)
(string-bytes 1 1639691)
(vectors 16 22480)
(vector-slots 8 536265 7901)
(floats 8 439 229)
(intervals 56 1291 0)
(buffers 960 30))